Subject: RomFS

From: [email-masked]
Date: Mon, 31 Jan 2000 16:12:58 +0100 (CET)

Hi,

My ADS board is happily running with a NFS mounted linux box.

Now I have to put all the code into the flash memory to get a standalone
solution.

I'm using the 8xxrom Bootloader. In a file called config.h I can configure
CONFIG_DISK_ROM.  As far as I can see, the bootloader assumes
then that a complete FAT filesystem is stored from the position
0xFE020000 in flash.

My question:
- Is my assumption right?

- How can I produce a FAT filesystem in a file, which I can download
  with MPC8BUG into the onboard flash?

- Does it have anything in common with the romfs driver which is supported
  by the kernel? (I think not)

TIA, Ruedi